Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 25 Oct 2014, 15:15
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Lilypond 2.10 and Denemo (Note layout system)
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sun 14 Jan 2007, 20:23    Post_subject:  Lilypond 2.10 and Denemo (Note layout system)  

There were problems reported for an older version, see:
http://www.murga-linux.com/puppy/viewtopic.php?t=3818

So here is a full dotpup of a newer version.

It is 32 MB extracted, as it includes all fonts and libraries.

Un-install old versions first!
http://dotpups.de/dotpups/Multimedia/Lilypond-2.10/Lilypond-2.10.pup (9 MB)

If you have a program that needs Lilypond with Python-support, install this Python-addon, it requires another 20 MB:
http://dotpups.de/dotpups/Multimedia/Lilypond-2.10/Lilypond-2.10-optional-Python-addon.pup (6 MB)

In Muppy006 it runs fine, if you get errors about missing libraries, please report them.

To test it:
Save this line in a texteditor as /root/test.ly:
Code:
{ c' e' g' c'' }


Then type in a consolewindow:
cd /root
lilypond test.ly


That should create a new file "test.pdf".

The dotpup was easy to create, I downloaded
http://download.linuxaudio.org/lilypond/binaries/linux-x86/lilypond-2.10.11-1.linux-x86.sh
Then I ran "bash lilypond-2.10.11-1.linux-x86.sh".
This extracted
/usr/local/lilypond/
and some files in /usr/local/bin/

Homepage:
http://lilypond.org/web/index

I'm still trying to compile Denemo 0.7.6, but have some problems, more later.

Mark

Edited_times_total
Back to top
View user's profile Send_private_message Visit_website 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Mon 15 Jan 2007, 00:35    Post_subject:  

I added a dotpup for the grafical editor Denemo.
http://dotpups.de/dotpups/Multimedia/Lilypond-2.10/Denemo-0.7.3-b1.pup (188 kb)

It is version 0.7.3beta1, as 0.7.4 and above crash due to errors with librsvg.

As this version is incompatible with the new Lilypond, I included a script, that will convert the old Denemo-format to the new Lilypond format automatically, when you click on "play".
After the conversion, timidity is launched to play the resulting Midi.
You must install timidity with PupGet to use it!
After you choose "play", you must wait some seconds Exclamation


I also added Denemo 0.7.3beta2.
http://dotpups.de/dotpups/Multimedia/Lilypond-2.10/Denemo-0.7.3-b2--unstable--.pup
It might have new features (like a buttonbar), but crashes, if you use the menu.
You can install both Denemo-versions if you like, to compare them.
They install to different folders.


Here is a screenshot of beta1 with timidity:



Note that in /root/.denemo you find a .midi and a .pdf of your current music.

Mark
Back to top
View user's profile Send_private_message Visit_website 
sansinspiration

Joined: 11 Jan 2007
Posts: 11

PostPosted: Mon 15 Jan 2007, 16:37    Post_subject:  

Thank you for your reply.

However, I did not get it working:

sh-3.00# lilypond /root/my-documents/toonladder.ly
lilypond: error while loading shared libraries: libintl.so.3: cannot open shared object file: No such file or directory

I tried a "dependency check" with PETGet (this was also a first time experience). This is the result:

"These dependencies required by Lilypond-2.10 package are missing:
File /usr/local/lilypond/usr/lib/libgettextpo.so.0.2.0 has these missing library files:
libgettextsrc-0.15.so libgettextlib-0.15.so
File /usr/local/lilypond/usr/lib/libgettextsrc-0.15.so has these missing library files:
libgettextlib-0.15.so
File /usr/local/lilypond/usr/lib/libguilereadline-v-17.so.17.0.1 has these missing library files:
libguile.so.17
File /usr/local/lilypond/usr/lib/libguile-srfi-srfi-4-v-3.so.3.0.1 has these missing library files:
libguile.so.17 libgmp.so.3 libltdl.so.3
File /usr/local/lilypond/usr/lib/libguile.so.17.0.1 has these missing library files:
libgmp.so.3 libltdl.so.3
File /usr/local/lilypond/usr/lib/libguile-srfi-srfi-13-14-v-3.so.3.0.1 has these missing library files:
libguile.so.17 libgmp.so.3 libltdl.so.3
File /usr/local/lilypond/usr/lib/libguile-srfi-srfi-1-v-3.so.3.0.1 has these missing library files:
libguile.so.17 libgmp.so.3 libltdl.so.3
File /usr/local/lilypond/usr/lib/libguile-srfi-srfi-60-v-2.so.2.0.1 has these missing library files:
libguile.so.17 libgmp.so.3 libltdl.so.3
File /usr/local/lilypond/usr/bin/guile has these missing library files:
libguile.so.17 libltdl.so.3
File /usr/local/lilypond/usr/bin/recode-sr-latin has these missing library files:
libgettextlib-0.15.so
File /usr/local/lilypond/usr/bin/python2.4 has these missing library files:
libpython2.4.so.1.0
File /usr/local/lilypond/usr/bin/python has these missing library files:
libpython2.4.so.1.0
File /usr/local/lilypond/usr/bin/lilypond has these missing library files:
libguile.so.17 libgmp.so.3

The PETget package manager does not know what package/s has/have these libraries."

Regards,
Jan
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Tue 16 Jan 2007, 02:05    Post_subject:  

It seems your old lilypond in /usr/bin was not uninstalled.
So that is used instead of the new one in /usr/local/bin.

Please delete these files in /usr/bin/:
abc2ly
convert-ly
etf2ly
lilypond
lilypond-book
lilypond-latex
midi2ly
mup2ly
ps2png

Concerning your dependency-check:
the depency-check does not work correct, as all those files are in
/usr/local/lilypond/usr/lib
That folder is included to the library path by the new lilypond startscript.

Mark
Back to top
View user's profile Send_private_message Visit_website 
bostonvaulter


Joined: 26 Sep 2006
Posts: 269

PostPosted: Sun 18 Mar 2007, 00:25    Post_subject:  

Hi MU,

First I want to thank you for helping me find a decent music sheet composer. This is the first truly free non-crippled one I found (including on windows)

I've tried the .pup and it seems to be working okay. I haven't tested it that much but i was wondering why it opens up a rox window to ~/.denemo everytime it starts up.

Jason
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sun 18 Mar 2007, 01:47    Post_subject:  

If I remember well, I added this rox-window to show the documentation or so.
Not shure.
You can remove that line from /usr/local/Denemo/run-denemo or so.
Mark
Back to top
View user's profile Send_private_message Visit_website 
bostonvaulter


Joined: 26 Sep 2006
Posts: 269

PostPosted: Sun 18 Mar 2007, 04:00    Post_subject:  

thanks mark.

I commented out the line

rox -d /root/.denemo &

in /usr/local/Denemo-0.7.3-b1

and now it doesn't show up
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sun 18 Mar 2007, 04:04    Post_subject:  

I think I remember.
I had one Midi-program, maybe it was Denemo, where I could save as midi, but not play them.
So I opened the Rox-window, so you just saved, and then clicked on the .mid in the Rox-window to play it with timidity.

Mark
Back to top
View user's profile Send_private_message Visit_website 
jeffrey

Joined: 16 Jan 2006
Posts: 162
Location: Christchurch, New Zealand

PostPosted: Fri 24 Aug 2007, 17:03    Post_subject:  

If you want something smaller that's working now you could try PMW (2MB) and Timidity (9MB). Combined these allow a text specification of music to be generated into sheet music and played at the same time. A real-time development wrapper completes the music composition environment. It's not pretty, but it works. See http://www.murga-linux.com/puppy/viewtopic.php?t=20892 for more details.
Back to top
View user's profile Send_private_message 
teledyn

Joined: 29 Mar 2007
Posts: 28

PostPosted: Tue 06 Jul 2010, 18:22    Post_subject: Lilypond/Denemo for Puppy 4+?
Sub_title: Any chance there is a .PET file somewhere?
 

I'd love to get denemo working on a Puppy 4.3 box; was this package ever updated to the new package manager?
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0698s ][ Queries: 12 (0.0070s) ][ GZIP on ]